clc;
clear;
close all;

D=LagOp([1 -1]);
D2=D*D;

load Data_GDP;

y=Data;
dy=filter(D,y);
d2y=filter(D2,y);

x=log(y);
dx=filter(D,x);
d2x=filter(D2,x);

n=numel(y);
XTick=1:(10*4):n;

figure;

% y
subplot(2,3,1);
plot(y);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('y_t');

% dy
subplot(2,3,2);
plot(dy);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta y_t');

% dy
subplot(2,3,3);
plot(d2y);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta^2 y_t');

% x
subplot(2,3,4);
plot(x);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('log y_t');

% dx
subplot(2,3,5);
plot(dx);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta log y_t');

% d2x
subplot(2,3,6);
plot(d2x);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta^2 log y_t');
